Create a requested transaction
POST
/portfolio/transactions/requestedSubmits a new draft transaction (e.g. redemption request) for approval. Accessible to both internal users and investors.
Request body
application/json, required · PortfolioCreateRequestedTransactionRequest
{
"asset_id": 1,
"requested_by": "9a9d1c5e-4f2b-4c8e-9a7d-2f1e6b3c4d5a",
"type": "redemption",
"meta": [
"string"
]
}Responses
{
"data": {
"guid": "string",
"asset": {
"id": 1,
"parent_asset_id": 1,
"client_reference": "string",
"guid": "string",
"name": "string",
"class": "string",
"structure": "string",
"uid": "string",
"source": "string",
"source_id": "string",
"description": "string",
"currency": "string",
"has_subpositions": true,
"has_parent": true,
"subposition_type": "string",
"created_at": "string",
"updated_at": "string",
"raw_asset_data": [
"string"
],
"asset_data": [
"string"
],
"metadata": [
"string"
],
"toggles": {
"values": [],
"chain_has_investor_toggle": true,
"is_manual_valuation": true,
"is_investor_sub_dist_allowed": true,
"show_valuation_timeline": true
},
"has_fund_cash": true,
"fund_cash_id": 1,
"has_fund_cash_pots": true,
"parent_has_fund_cash": true,
"parent_name": "string"
},
"investor": {
"id": 1,
"client_reference": "string",
"guid": "string",
"email": "string",
"source": "string",
"name": "string",
"source_id": "string",
"created_at": "string",
"updated_at": "string"
},
"type": "string",
"state": "string",
"settlement_date": "string",
"meta": {},
"created_at": "string",
"updated_at": "string",
"internal_user_name": "string",
"rejection_reason": "string"
}
}422
Validation error
Examples
curl -X POST https://your-org-domain/kong/core/api/v2/portfolio/transactions/requested\
-H "Authorization: Bearer $HELM_API_KEY"\
-H "Content-Type: application/json"\
-d '{
"asset_id": 1,
"requested_by": "9a9d1c5e-4f2b-4c8e-9a7d-2f1e6b3c4d5a",
"type": "redemption",
"meta": [
"string"
]
}'